%define gnome_python2_version 1.99.13
%define pyver %(python -c 'import sys ; print sys.version[:3]')
%define pynext %(python -c 'print %{pyver} + 0.1')

Name:		gnome-blog
Version:	0.7
Release:	0.fdr.7.1
Epoch:		0
Summary:	GNOME panel object for posting blog entries

Group:		User Interface/Desktops
License:	GPL
URL:		http://www.gnome.org/~seth/gnome-blog/		
Source0:	http://ftp.gnome.org/pub/gnome/sources/gnome-blog/0.7/gnome-blog-0.7.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch

Requires:	gnome-python2-applet >= 0:%{gnome_python2_version}
Requires:	gnome-python2-gconf  >= 0:%{gnome_python2_version}
Requires:	pygtk2 >= 0:%{gnome_python2_version}
Requires:	python >= 0:%{pyver}, python <= 0:%{pynext}

Requires(post,preun): GConf2

BuildRequires:  pygtk2-devel >= 0:%{gnome_python2_version}
BuildRequires:	glib2-devel
BuildRequires: 	gettext
BuildRequires:	GConf2
BuildRequires:  desktop-file-utils

%description
GNOME panel object that allows convenient posting of blog entries to
any blog that supports the bloggerAPI.

# ---------------------------------------------------------------------------------------------

%prep
%setup -q
%{__sed} -i 's|\(<oaf_server iid="OAFIID:GNOME_BlogApplet_Factory" type="exe" location="\)\(blog_applet.py">\)|\1%{_libexecdir}/\2|' GNOME_BlogApplet.server.in

# ---------------------------------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}

# ---------------------------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
%find_lang %{name}
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
# gnome-blog makefile installs this, but we have to add some extra stuff for
# fedora compliance
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gnome-blog.desktop
desktop-file-install --vendor=fedora --dir=$RPM_BUILD_ROOT%{_datadir}/applications --add-category=X-Fedora --add-category=Network gnome-blog.desktop

# Panel applets belong in /usr/libexec rather than /usr/bin
%{__mkdir_p} $RPM_BUILD_ROOT%{_libexecdir}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/blog_applet.py $RPM_BUILD_ROOT%{_libexecdir}

# ---------------------------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# ---------------------------------------------------------------------------------------------

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnomeblog.schemas &> /dev/null || :
unset GCONF_CONFIG_SOURCES
 
%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnomeblog.schemas &> /dev/null || :
unset GCONF_CONFIG_SOURCES

# ---------------------------------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/*
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/gnomeblog.schemas
%{_datadir}/pixmaps/gnome-blog.png
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/applications/*.desktop
%{_libdir}/bonobo/servers/*.server
%dir %{_libdir}/python%{pyver}/site-packages/gnomeblog
%{_libdir}/python%{pyver}/site-packages/gnomeblog/*.py
%{_libdir}/python%{pyver}/site-packages/gnomeblog/gnome-blog-poster
%{_libdir}/python%{pyver}/site-packages/gnomeblog/*.pyc
%ghost %{_libdir}/python*/site-packages/gnomeblog/*.pyo

# ---------------------------------------------------------------------------------------------

%changelog
* Tue Feb  3 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.7-0.fdr.7
- Removed Requires: GConf2, and replaced with Requires(post,preun).

* Tue Feb  3 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.7-0.fdr.6
- Added GConf requirement, and removed PreReq on gconftool-2.
- Under %file, changed static python location with appropriate variables.
- Added gnome-blog subdir to %files.
- Changed source permissions to 644.
- Added fix for libexec of blog-applet.py

* Mon Feb 02 2004 Toshio Kuratomi <toshio@tiki-lounge.com> 0:0.7-0.fdr.5
- Add Epoch to Requires that have versions
- Cleanup postin/preun scripts for schema install/uninstall
- And get rid of call to ldconfig
- Make package noarch
- Require python version because of python2.2/site-lib directory
- Remove GConf2 as a prereq because gconftool-2 will pull it in.
- Remove INSTALL file from docs (generic INSTALL)
- Change Source0 to point to ftp.gnome.org
- Use desktop-file-install to install the desktop file with --vendor=fedora,
  and adding the X-Fedora and Network categories
- We don't need both .pyc and .pyo files so %ghost the pyo's

* Thu Jan  8 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.7-0.fdr.4
- added gettext build requirement.

* Thu Jan  1 2004 Brian Pepple <bdpepple@ameritech.net> 0:0.7-0.fdr.3
- More clean up of spec file.

* Wed Dec 31 2003 Brian Pepple <bdpepple@ameritech.net> 0:0.7-0.fdr.2
- Clean up of spec file.

* Mon Dec 22 2003 Brian Pepple <bdpepple@ameritech.net> 0:0.7-0.fdr.1
- Initial Fedora build.
